
export const MAIN_URL = 'http://192.168.0.124:8000';
export const BASE_URL = MAIN_URL + '/api/';
export const AUTH_URL = MAIN_URL + '/oauth/token';

//splash GET TOKEN
export const GET_TOKEN_LODING = 'GET_TOKEN_LODING';
export const GET_TOKEN_SUCCESS = 'GET_TOKEN_SUCCESS';
export const GET_TOKEN_FAILED = 'GET_TOKEN_FAILED';
// Login
export const LOGIN_LOADING = 'LOADING_LOGIN';
export const LOGIN_SUCCESS = 'LOGIN_SUCCESS';
export const LOGIN_FAILED = 'LOGIN_FAILED';
export const LOGIN_ERROR = 'LOGIN_ERROR';
//Society details
export const SOCIETYCODE_SUCCESS = 'SOCIETYCODE_SUCCESS';
export const SOCIETYCODE_FAILED = 'SOCIETYCODE_FAILED';
export const SOCIETYCODE_ERROR = 'SOCIETYCODE_ERROR';
//SignUP
export const SIGNUP_INITIAL_STATE = 'SIGNUP_INITIAL_STATE';
export const SIGNUP_LOADING = 'SIGNUP_LOADING';
export const SIGNUP_SUCCESS = 'SIGNUP_SUCCESS';
export const SIGNUP_FAILED = 'SIGNUP_FAILED';
export const SIGNUP_ERROR = 'SIGNUP_ERROR';
//RenterDetailsAction
export const RENTER_DETAILS_INITIAL_STATE = 'SIGNUP_INITIAL_STATE';
export const RENTER_DETAILS_LOADING = 'RENTER_DETAILS_LOADING';
export const RENTER_DETAILS_SUCCESS = 'RENTER_DETAILS_SUCCESS';
export const RENTER_DETAILS_FAILED = 'RENTER_DETAILS_FAILED';
export const RENTER_DETAILS_ERROR = 'RENTER_DETAILS_ERROR';

//Profile
//Edit Profile
export const EDIT_PROFILE_LODING = 'EDIT_PROFILE_LODING';
export const EDIT_PROFILE_SUCCESS = 'EDIT_PROFILE_SUCCESS';
export const EDIT_PROFILE_FAILED = 'EDIT_PROFILE_FAILED';
export const EDIT_PROFILE_ERROR = 'EDIT_PROFILE_ERROR';
//ResetPassword
export const RESET_PWD_LODING = 'RESET_PWD_LODING';
export const RESET_PWD_SUCCESS = 'RESET_PWD_SUCCESS';
export const RESET_PWD_FAILED = 'RESET_PWD_FAILED';
export const RESET_PWD_ERROR = 'RESET_PWD_ERROR';
//SocietyMembers
export const SOCIETY_MEMBERS_LIST_LODING = 'SOCIETY_MEMBERS_LIST_LODING';
export const SOCIETY_MEMBERS_LIST_SUCCESS = 'SOCIETY_MEMBERS_LIST_SUCCESS';
export const SOCIETY_MEMBERS_LIST_FAILED = 'SOCIETY_MEMBERS_LIST_FAILED';
export const SOCIETY_MEMBERS_LIST_ERROR = 'SOCIETY_MEMBERS_LIST_ERROR';

//VehicleDetails
export const INITIAL_VEHICLES_DATA = 'INITIAL_VEHICLES_DATA';
export const VEHICLE_LIST_LODING = 'VEHICLE_LIST_LODING';
export const VEHICLE_LIST_SUCCESS = 'VEHICLE_LIST_SUCCESS';
export const VEHICLE_LIST_FAILED = 'VEHICLE_LIST_FAILED';
export const VEHICLE_LIST_ERROR = 'VEHICLE_LIST_ERROR';
//ADD VEHICLES
export const ADD_VEHICLE_LOADING = 'ADD_VEHICLE_LODING';
export const ADD_VEHICLE_SUCCESS = 'ADD_VEHICLE_SUCCESS';
export const ADD_VEHICLE_FAILED = 'ADD_VEHICLE_FAILED';
export const ADD_VEHICLE_ERROR = 'ADD_VEHICLE_ERROR';
//Delete VEHICLES
export const DELETE_VEHICLE_LOADING = 'ADD_VEHICLE_LODING';
export const DELETE_VEHICLE_SUCCESS = 'ADD_VEHICLE_SUCCESS';
export const DELETE_VEHICLE_FAILED = 'ADD_VEHICLE_FAILED';
export const DELETE_VEHICLE_ERROR = 'ADD_VEHICLE_ERROR';

//ADD EVENT
export const INITIAL_EVENT_DATA = 'INITIAL_EVENT_DATA';
export const ADD_EVENT_LOADING = 'ADD_EVENT_LOADING';
export const ADD_EVENT_SUCCESS = 'ADD_EVENT_SUCCESS';
export const ADD_EVENT_FAILED = 'ADD_EVENT_FAILED';
export const ADD_EVENT_ERROR = 'ADD_EVENT_ERROR';
//EDIT EVENT
export const EDIT_EVENT_LOADING = 'EDIT_EVENT_LOADING';
export const EDIT_EVENT_SUCCESS = 'EDIT_EVENT_SUCCESS';
export const EDIT_EVENT_FAILED = 'EDIT_EVENT_FAILED';
export const EDIT_EVENT_ERROR = 'EDIT_EVENT_ERROR';
//LIST EVENT
export const EVENT_LIST_LODING = 'EVENT_LIST_LODING';
export const EVENT_LIST_SUCCESS = 'EVENT_LIST_SUCCESS';
export const EVENT_LIST_FAILED = 'EVENT_LIST_FAILED';
export const EVENT_LIST_ERROR = 'EVENT_LIST_ERROR';
//DELETE EVENT
export const DELETE_EVENT_LOADING = 'DELETE_EVENT_LOADING';
export const DELETE_EVENT_SUCCESS = 'DELETE_EVENT_SUCCESS';
export const DELETE_EVENT_FAILED = 'DELETE_EVENT_FAILED';
export const DELETE_EVENT_ERROR = 'DELETE_EVENT_ERROR';


//ADD VENDOR
export const INITIAL_VENDOR_DATA = 'INITIAL_VENDOR_DATA';
export const ADD_VENDOR_LOADING = 'ADD_VENDOR_LOADING';
export const ADD_VENDOR_SUCCESS = 'ADD_VENDOR_SUCCESS';
export const ADD_VENDOR_FAILED = 'ADD_VENDOR_FAILED';
export const ADD_VENDOR_ERROR = 'ADD_VENDOR_ERROR';

//DELETE VENDOR
export const DELETE_VENDOR_LOADING = 'DELETE_VENDOR_LOADING';
export const DELETE_VENDOR_SUCCESS = 'DELETE_VENDOR_SUCCESS';
export const DELETE_VENDOR_FAILED = 'DELETE_VENDOR_FAILED';
export const DELETE_VENDOR_ERROR = 'DELETE_VENDOR_ERROR';

//GET VENDOR
export const GET_VENDOR_LOADING = 'GET_VENDOR_LOADING';
export const GET_VENDOR_SUCCESS = 'GET_VENDOR_SUCCESS';
export const GET_VENDOR_FAILED = 'GET_VENDOR_FAILED';
export const GET_VENDOR_ERROR = 'GET_VENDOR_ERROR';

//GET NOTICE
export const GET_NOTICE_LOADING = 'GET_NOTICE_LOADING';
export const GET_NOTICE_SUCCESS = 'GET_NOTICE_SUCCESS';
export const GET_NOTICE_FAILED = 'GET_NOTICE_FAILED';

//DELETE NOTICE
export const DELETE_NOTICE_LOADING = 'DELETE_NOTICE_LOADING';
export const DELETE_NOTICE_SUCCESS = 'DELETE_NOTICE_SUCCESS';
export const DELETE_NOTICE_FAILED = 'DELETE_NOTICE_FAILED';